Bug 1007097 - yum rebuilds rpms from deltarpms even for local repositories
yum rebuilds rpms from deltarpms even for local repositories
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 18:17 EDT by Alexander Murashkin
Modified: 2013-10-08 07:32 EDT (History)
5 users (show)

See Also:
Fixed In Version: yum-3.4.3-111.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 07:32:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local repository configuration (237 bytes, text/plain)
2013-09-11 18:17 EDT, Alexander Murashkin
no flags Details
yum output showing deltarpms usage (25.74 KB, text/plain)
2013-09-11 18:19 EDT, Alexander Murashkin
no flags Details
yum cache content after deltarpms are used (2.18 KB, text/plain)
2013-09-11 18:20 EDT, Alexander Murashkin
no flags Details

  None (edit)
Description Alexander Murashkin 2013-09-11 18:17:03 EDT
Created attachment 796552 [details]
Local repository configuration

Description of problem:

Yum rebuilds rpms from deltarpms even for local (file://) repositories. In the case of for local repositories - yum shall not use deltarpms if full rpms exist or it shall be possible to configure deltarpms usage in the repository section.

Version-Release number of selected component (if applicable):

yum-3.4.3-106.fc19.noarch
yum-3.4.3-110.fc19.noarch

How reproducible:

Steps to Reproduce:

1. Configure local repository, for example, /etc/yum.repos.d/fedora-updates-local.repo (see config attached)
2. Populate the repository
3. Run yum -d 2 update 
4. Observe that yum rebuilds /var/cache/yum rpms using deltarpms 

Actual results:

yum prints
...
<locally rebuilding deltarpms>           12% [===-                          ] 381 kB/s | 6.6 MB  00:01:59 ETA
...
Delta RPMs reduced 51 M of updates to 6.9 M (86% saved)
Finishing delta rebuilds of 19 package(s) (51 M)

Cache directory is filled with rpms 

# ls -l /var/cache/yum/x86_64/19/updates-local/packages/
total 80072
...
-rw-r--r--. 1 root root  1139532 Sep 11 16:23 gnome-settings-daemon-3.8.5-1.fc19.x86_64.rpm
-rw-r--r--. 1 root root    52352 Sep 11 16:23 gnome-settings-daemon-updates-3.8.5-1.fc19.x86_64.rpm
...

Expected results:

yum skips rpms rebuild as the repository is local. Cache directory is not filled.

Additional info:

As a workaround I added deltarpm_percentage=1 to the repository section. Note that deltarpm_percentage=0 produces the error below. 

Error parsing "deltarpm_percentage = '0'": out of range integer value

It would be nice if yum can be configured so

a. local repositories do not have rpms rebuild from deltarpms if full rpms exists in the repository.
b. or it is possible to disable deltarpm in the repository sections
c. or deltarpms are used only for repositories that are high cost, something like deltarpm_min_cost=10 and deltarpms are not used if cost < 10.
Comment 1 Alexander Murashkin 2013-09-11 18:19:11 EDT
Created attachment 796555 [details]
yum output showing deltarpms usage
Comment 2 Alexander Murashkin 2013-09-11 18:20:04 EDT
Created attachment 796556 [details]
yum cache content after deltarpms are used
Comment 3 Zdeněk Pavlas 2013-09-12 04:32:05 EDT
I opt for a) .. you can't have repository with drpms but without rpms, so disabling drpms for all local repositories should be fine. b) is currently possible with "deltarpm_percentage=1".
Comment 4 Alexander Murashkin 2013-09-13 12:58:24 EDT
> b) is currently possible with "deltarpm_percentage=1".

Very small deltarpm is still going to trigger the rebuild. If deltarpm_percentage=0 is allowed it will be sufficient (though strange looking).
Comment 5 Fedora Update System 2013-10-07 07:13:58 EDT
yum-3.4.3-111.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-111.fc19
Comment 6 Fedora Update System 2013-10-08 07:32:27 EDT
yum-3.4.3-111.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.